function [ishutter,ismacayealpattyn,isstokes]=DiagnosticSolutionType(elements_type)
%DIAGNOSTICSOLUTIONTYPE - figure out which element are present
%
%   This routine goes through the types of element and check if there is any
%   Hutter, MacAyeal, Pattyn or Stokes element, and return a list of flag
%
%   Usage:
%      [ishutter,ismacayealpattyn,isstokes]=DiagnosticSolutionType(elements_type)
%
%   See also: SETELEMENTSTYPE

ishutter=any(elements_type(:,1)==hutterenum());
ismacayealpattyn=any(elements_type(:,1)==macayealenum() | elements_type(:,1)==pattynenum() );
isstokes=any(elements_type(:,2));

